New to QT and getting error: "Could not resolve SDK Path for 'macosx10.11"



  • I am very new to QT, getting into using it as it is used in a group I am in on campus. I cloned a bunch of files from git and am just trying to build the project. When I try to build I get the error: "Could not resolve SDK Path for 'macosx10.11'". I am runnin macOS 10.12 with XCode 8 and QT Creator 4.1. I am not sure how to fix this issue, any help would be much appreciated!


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    AFAIK, you should add QMAKE_MAC_SDK = macosx10.12 to your .pro file.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.